API reference
Create an agent key
Create an agent key. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
POST
/v1/agent-payments/agents/{agentId}/keysAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/agents/{agentId}/keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "string",
"name": "string",
"key_prefix": "string",
"last_used_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"revoked_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"secret": "string"
}Empty
How is this guide?
Last updated
Resume a payment agent POST
Resume a payment agent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
List agent keys GET
List agent keys. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields, environment scope.